package com.example.wfwebapi.assembler;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;
import com.example.wfwebapi.controller.QuoteController;
import com.example.wfwebapi.model.Quote;
import org.springframework.hateoas.EntityModel;
import org.springframework.hateoas.server.RepresentationModelAssembler;
import org.springframework.stereotype.Component;

@Component
public class QuoteModelAssembler implements RepresentationModelAssembler<Quote, EntityModel<Quote>> {
    @Override
    public EntityModel<Quote> toModel(Quote quote) {
        return EntityModel.of(quote,
                linkTo(methodOn(QuoteController.class).getQuoteById(quote.getId())).withSelfRel(),
                linkTo(methodOn(QuoteController.class).getAllQuotes(0, 10)).withRel("quotes"));
    }
}
