package com.example.wfwebapi.assembler;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;
import com.example.wfwebapi.controller.UserController;
import com.example.wfwebapi.model.User;
import org.springframework.hateoas.EntityModel;
import org.springframework.hateoas.server.RepresentationModelAssembler;
import org.springframework.stereotype.Component;

@Component
public class UserModelAssembler implements RepresentationModelAssembler<User, EntityModel<User>> {
    @Override
    public EntityModel<User> toModel(User user) {
        return EntityModel.of(user,
                linkTo(methodOn(UserController.class).getUserById(user.getId())).withSelfRel(),
                linkTo(methodOn(UserController.class).getAllUsers(0, 5)).withRel("users"));
    }
}
