package com.example.wfwebapi.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.web.SecurityFilterChain;

@Configuration
public class SecurityConfig {

    @Bean
    public SecurityFilterChain filterChain(HttpSecurity http) throws Exception {
        http
                // Désactive CSRF
                .csrf(csrf -> csrf.disable())
                // Désactive la protection des frames (utile pour la console H2)
                .headers(headers -> headers.frameOptions().disable())
                // Autorise toutes les requêtes sans authentification
                .authorizeHttpRequests(authorize -> authorize.anyRequest().permitAll());
        return http.build();
    }
}
