package com.example.wfwebapi.controller;

import java.util.List;
import com.example.wfwebapi.exception.ResourceNotFoundException;
import com.example.wfwebapi.model.Commentary;
import com.example.wfwebapi.repository.CommentaryRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/v1/commentary")
public class CommentaryController {

    @Autowired
    private CommentaryRepository commentaryRepository;

    @GetMapping("/{quoteId}")
    public List<Commentary> getCommentariesByQuote(@PathVariable Long quoteId) {
        return commentaryRepository.findByQuote_Id(quoteId);
    }

    @PostMapping
    public Commentary addCommentary(@RequestParam Long quote, @RequestBody Commentary commentary) {
        commentary.setQuote(new com.example.wfwebapi.model.Quote() {{ setId(quote); }});
        return commentaryRepository.save(commentary);
    }

    @DeleteMapping
    public void deleteCommentariesByQuote(@RequestParam Long id) {
        List<Commentary> comments = commentaryRepository.findByQuote_Id(id);
        if(comments.isEmpty())
            throw new ResourceNotFoundException("Aucun commentaire trouvé pour la citation " + id);
        commentaryRepository.deleteAll(comments);
    }
}
