package com.example.wfwebapi.controller;

import java.util.List;
import com.example.wfwebapi.exception.ResourceNotFoundException;
import com.example.wfwebapi.model.Favorite;
import com.example.wfwebapi.model.FavoriteId;
import com.example.wfwebapi.repository.FavoriteRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/v1/favorite")
public class FavoriteController {

    @Autowired
    private FavoriteRepository favoriteRepository;

    @GetMapping("/{userId}")
    public List<Favorite> getFavoritesByUser(@PathVariable Long userId) {
        return favoriteRepository.findByUser_Id(userId);
    }

    @PostMapping
    public Favorite addFavorite(@RequestParam Long user, @RequestParam Long quote) {
        Favorite favorite = new Favorite();
        favorite.setId(new FavoriteId(user, quote));
        return favoriteRepository.save(favorite);
    }

    @DeleteMapping
    public void deleteFavorite(@RequestParam Long user, @RequestParam Long quote) {
        FavoriteId id = new FavoriteId(user, quote);
        if (!favoriteRepository.existsById(id))
            throw new ResourceNotFoundException("Favorite non trouvée");
        favoriteRepository.deleteById(id);
    }
}
