package com.example.wfwebapi.model;

import jakarta.persistence.*;

@Entity
@Table(name = "Quote")
public class Quote {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id_quote")
    private Long id;

    @Column(name = "content", nullable = false, columnDefinition = "text")
    private String content;

    @Column(name = "likes")
    private Integer likes;

    @Column(name = "langue", nullable = false, length = 2)
    private String langue;

    @Column(name = "isValide", nullable = false)
    private Boolean isValide;

    @Column(name = "reason", nullable = false, length = 100)
    private String reason;

    @ManyToOne
    @JoinColumn(name = "id_caracter", nullable = false)
    private Caracter caracter;

    @ManyToOne
    @JoinColumn(name = "id_source", nullable = false)
    private Source source;

    @ManyToOne
    @JoinColumn(name = "id_user_verif", nullable = false)
    private User userVerif;

    // Getters et setters
    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }
    public String getContent() { return content; }
    public void setContent(String content) { this.content = content; }
    public Integer getLikes() { return likes; }
    public void setLikes(Integer likes) { this.likes = likes; }
    public String getLangue() { return langue; }
    public void setLangue(String langue) { this.langue = langue; }
    public Boolean getIsValide() { return isValide; }
    public void setIsValide(Boolean isValide) { this.isValide = isValide; }
    public String getReason() { return reason; }
    public void setReason(String reason) { this.reason = reason; }
    public Caracter getCaracter() { return caracter; }
    public void setCaracter(Caracter caracter) { this.caracter = caracter; }
    public Source getSource() { return source; }
    public void setSource(Source source) { this.source = source; }
    public User getUserVerif() { return userVerif; }
    public void setUserVerif(User userVerif) { this.userVerif = userVerif; }
}
