package com.example.wfwebapi.model;

import jakarta.persistence.*;
import java.time.LocalDate;

@Entity
@Table(name = "Users", uniqueConstraints = @UniqueConstraint(columnNames = "email"))
public class User {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id_user")
    private Long id;

    @Column(name = "username", nullable = false, length = 50)
    private String username;

    @Column(name = "email", nullable = false, length = 50)
    private String email;

    @Column(name = "password", nullable = false, length = 100)
    private String password;

    @ManyToOne
    @JoinColumn(name = "img", nullable = false)
    private Image image;

    @Column(name = "creation", nullable = false)
    private LocalDate creation;

    // Getters et setters
    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }
    public String getUsername() { return username; }
    public void setUsername(String username) { this.username = username; }
    public String getEmail() { return email; }
    public void setEmail(String email) { this.email = email; }
    public String getPassword() { return password; }
    public void setPassword(String password) { this.password = password; }
    public Image getImage() { return image; }
    public void setImage(Image image) { this.image = image; }
    public LocalDate getCreation() { return creation; }
    public void setCreation(LocalDate creation) { this.creation = creation; }
}
